# Lightning SDK Reference


The Reference Documentation for Lightning SDK contains detailed descriptions of the Lightning SDK *Plugins* that you can use when you are developing Apps with Lightning SDK.


The available Lightning SDK plugins are, in alphabetical order:

<!---TOC_start--->
* [Colors](plugins/colors.md)
* [FPS Counter](plugins/fpscounter.md)
* [Image](plugins/image.md)
* [Language](plugins/language.md)
* [Lightning](plugins/lightning.md)
* [Log](plugins/log.md)
* [Metadata](plugins/metadata.md)
* [Metrics](plugins/metrics.md)
* [Pin](plugins/pin.md)
* [Profile](plugins/profile.md)
* [Purchase](plugins/purchase.md)
* [Registry](plugins/registry.md)
* [Router](plugins/router/index.md)
  * [Configuration](plugins/router/configuration.md)
  * [Navigation](plugins/router/navigation.md)
  * [Data Providing](plugins/router/dataproviding.md)
  * [Router Events](plugins/router/events.md)
  * [Page Transitions](plugins/router/pagetransitions.md)
  * [Widgets](plugins/router/widgets.md)
  * [Settings](plugins/router/settings.md)
  * [Deeplinking](plugins/router/deeplinking.md)
  * [History](plugins/router/history.md)
* [Settings](plugins/settings.md)
* [Storage](plugins/storage.md)
* [TV](plugins/tv.md)
* [Utils](plugins/utils.md)
* [VersionLabel](plugins/versionlabel.md)
* [VideoPlayer](plugins/videoplayer.md)
* [TypeScript Support](typescript.md)
<!---TOC_end--->
